Build a new User Lexicon

Build a new user lexicon using the supplied word list.
Use the Query available transcribe models method to determine if a model supports the custom vocabulary feature.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The word list

The supplied word list is a JSON object which must be submitted as the body of the request.
E.g.

[
 {
   "word": "AppTek",
   "like": ["app-tech"]
 }
]

User request completion callback

When submitting a request, an optional HTTP callback can be specified which will be invoked when the request completes or fails. The callback is an HTTP POST to the exact URL provided. Only one attempt is made to reach the URL provided. The contents of the HTTP request match the response from the Query the status of a request and retrieve results method.

Headers

  • x-requestid - Contains the request_id received when the request was submitted
  • x-status - One of the following indicating the status of the request:
StatusDescription
“Completed”The request has finished processing and the user callback, if provided has been called.
"Failed"An error occurred processing the request.
  • x-error - If the request failed, this would contain an error message.
  • x-userdata - This will contain the user data supplied with the original request.

Body

If the status is “Completed” the body of the request is a json object containing the status and lexicon id. If the status is “Failed” the body of the request contains the same error message provided in the “x-error” header.

Submitting text in the BODY of the request

Users can submit larger text for processing by submitting the text as the body of the request.

curl -v "https://api.apptek.com/api/v2/userlexicon/build/en-us.bcn" -H "x-token: XXXXXXX" -H "Content-Type: application/json" --data-binary "@words.json"

Details

Path Params
string
required

The model id for which suggested words will be retrieved from

Query Params
string

An optional descriptive name for this lexicon

Body Params
RAW_BODY
array of objects

The words and optional pronunciation guides (or sounds-like words)

RAW_BODY
Headers
string
required

API key

string

A user HTTP callback URL which will be invoked to notify the user when the request completes. See “User request completion callback” for further description.

string

Any text data the caller wants to associate with this request. This can be used to link this request with some other external tracking information.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json